# $Revision: 1.18 $, $Date: 2008-02-14 16:27:26 $
Summary:	XSLT Processor in Java
Summary(pl.UTF-8):	Procesor XSLT napisany w Javie
Name:		xt
Version:	19991105
Release:	2
Vendor:		James Clark
License:	Free
Group:		Applications/Publishing/XML/Java
Source0:	ftp://ftp.jclark.com/pub/xml/%{name}.zip
# Source0-md5:	2ac9973f7f9cb2a480af94066f89568a
URL:		http://www.jclark.com/xml/
# this is not exactly true but I'd better add this ...
BuildRequires:	unzip
Requires:	xp
Requires:	jre
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_javaclassdir	%{_datadir}/java
%define		_jredir		%{_libdir}/jre

%description
XT is an implementation in Java of XSL Transformations. This version
of XT implements the PR-xslt-19991008 version of XSLT.

%description -l pl.UTF-8
XT to implementacja XSLT napisana w Javie. Ta wersja XT implementuje
XSLT w wersji PR-xslt-19991008.

%prep
%setup -q -c -T
unzip -qa %{SOURCE0}
chmod -R a+rX *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javaclassdir}
install %{name}.jar $RPM_BUILD_ROOT%{_javaclassdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc copying.txt demo *.htm
%{_javaclassdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xt.spec,v $
Revision 1.18  2008-02-14 16:27:26  hawk
- fixed javaclassdir path

Revision 1.17  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.15  2005/09/11 14:24:32  darekr
- BR: unzip

Revision 1.14  2003/08/12 15:08:19  qboosh
- cleanups, mainly in preambles

Revision 1.13  2003/07/11 12:28:24  ankry
- URL fixes and other cosmetics

Revision 1.12  2003/05/28 13:03:15  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 06:28:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/11/30 23:00:31  juandon
- new %%doc

Revision 1.9  2002/02/23 05:29:56  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/15 19:38:26  bonkey
- Group changed to Applications/Publishing/XML/Java

Revision 1.5  2001/09/15 10:12:07  bonkey
- change Requires: java to jre

Revision 1.4  2001/08/22 17:31:06  filon
- added Requires: java

Revision 1.3  2001/02/10 12:19:18  klakier
- sax moved to separate package

Revision 1.2  2000/09/30 20:40:28  klakier
- added requires xp

Revision 1.1  2000/09/30 20:38:29  klakier
- finished (but untested)
